← Tablas

Scotland

West Region League Division 3

#EquipoPWDLPDBPPtsForma
1Clydebank RFC6411+189523WWWDL
2Paisley RFC4400+202420WWWW
3Moffat RFC4211+69212WWDL
4Waysiders/Drumpellier RFC4202+32311LLWW
5Glasgow University Medics2200+4327WW
6Hyndland RFC3102-1315WLL
7Clydesdale RFC5104-30710LLLLW
8Isle of Mull RFC4004-18010LLLL
9Isle of Arran RFC2002-3500LL

Fuente: Scottish Rugby · consultado 14 oct, 04:52 p.m. · Forma: los últimos cinco resultados que tenemos, el más reciente a la derecha.

Partidos y resultados →

Cada tabla es la publicada por la propia liga, con sus bonus, descuentos y desempates. BP aparece donde la liga lo publica; en el resto ya está incluido en Pts.